dualDfpn.cc File Reference
`#include "osl/checkmate/dualDfpn.h"`
`#include "osl/checkmate/dfpn.h"`
`#include "osl/checkmate/dfpnRecord.h"`
`#include "osl/repetitionCounter.h"`
`#include "osl/stat/average.h"`
`#include "osl/centering3x3.h"`
`#include "osl/bits/centering5x3.h"`
`#include "osl/misc/milliSeconds.h"`
`#include "osl/oslConfig.h"`
`#include <unordered_map>`
`#include <forward_list>`
`#include <iostream>`
`#include <iomanip>`

Go to the source code of this file.

## Classes

struct | checkmate::DualDfpn::OraclePool
struct | checkmate::DualDfpn::OraclePool::Element
struct | checkmate::DualDfpn::OraclePool::List
struct | checkmate::DualDfpn::Shared
struct | checkmate::DualDfpn::Shared::TableUseLock
struct | checkmate::DualDfpn::Local

## Namespaces

namespace | osl

## Macros

#define | DFPN_SHARE_TABLE

## Variables

static const int | max_oracle_list_size = 2
static const size_t | local_table_growth_limit = 40000

## Macro Definition Documentation

## DFPN_SHARE_TABLE

#define DFPN_SHARE_TABLE

Definition at line 27 of file dualDfpn.cc.

## Variable Documentation

## local_table_growth_limit

const size_t local_table_growth_limit = 40000

static

Definition at line 30 of file dualDfpn.cc.

Referenced by osl::checkmate::DualDfpn::findProof(), and osl::checkmate::DualDfpn::runGC().

## max_oracle_list_size

const int max_oracle_list_size = 2

static

Definition at line 29 of file dualDfpn.cc.